Package be.ehealth.businessconnector.genericasync.exception

# Class GenAsyncSignatureValidationConnectorException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.businessconnector.genericasync.exception.GenAsyncBusinessConnectorException
be.ehealth.businessconnector.genericasync.exception.GenAsyncSignatureValidationConnectorException

All Implemented Interfaces:
  `Serializable`

public class GenAsyncSignatureValidationConnectorException extends GenAsyncBusinessConnectorException
Connector Exception for Generic Async Connector.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenAsyncSignatureValidationConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Map<Object,SignatureVerificationResult> validationResult)`
  builder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<Object,SignatureVerificationResult>`
  `getSignatureValidationResult()`

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GenAsyncSignatureValidationConnectorException

    public GenAsyncSignatureValidationConnectorException(GenAsyncBusinessConnectorExceptionValues errorCodeValue, Map<Object,SignatureVerificationResult> validationResult)
    builder
    Parameters:
      `errorCodeValue` -
      `e` -
      `params` -

- ## Method Details

  - ### getSignatureValidationResult

    public Map<Object,SignatureVerificationResult> getSignatureValidationResult()
    Returns: